Package org.jcsp.awt

# Class GraphicsProtocol.SetBackground

java.lang.Object
org.jcsp.lang.TaggedProtocol
org.jcsp.awt.GraphicsProtocol
org.jcsp.awt.GraphicsProtocol.SetBackground

Enclosing class:
  `GraphicsProtocol`

public static final class GraphicsProtocol.SetBackground extends GraphicsProtocol
This is a configuration class for setting the background `java.awt.Color` of the active graphics component. A `Boolean.TRUE` will be returned down the `fromGraphics` channel.

## Nested Class Summary

## Nested classes/interfaces inherited from class org.jcsp.awt.GraphicsProtocol

`GraphicsProtocol.Configure, GraphicsProtocol.General, GraphicsProtocol.MakeMISImage, GraphicsProtocol.SetBackground, GraphicsProtocol.SetPaintable`

## Field Summary

### Fields inherited from class org.jcsp.awt.GraphicsProtocol

`GET_BACKGROUND, GET_COMPONENT, GET_DIMENSION, REQUEST_FOCUS`

### Fields inherited from class org.jcsp.lang.TaggedProtocol

`tag`

## Constructor Summary

Constructors
Constructor
Description
`SetBackground(Color color)`

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SetBackground

public SetBackground(Color color)

Parameters:
  `color` - the new background colour for the graphics component.